View Issue Details

IDProjectCategoryView StatusLast Update
0000512luatexluatex bugpublic2010-12-13 14:43
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.70.0Fixed in Version0.65.0 
Summary0000512: ToUnicode maps should not cross byte boundaries
DescriptionThe PDF specification says that ranges cannot cross byte boundaries because acroread cannot handle overflow.
Steps To ReproduceSee example below. The current output is:

1 beginbfrange
<19FF> <1A00> <63CF>
endbfrange

but that is illegal. It should be

2 beginbfchar
<19FF> <63CF>
<1A00> <63D0>
endbfchar

or possibly even

2 beginbfrange
<19FF> <19FF> <63CF>
<1A00> <1A00> <63D0>
endbfrange


Additional Information\define[song][name:simsun]
\starttext
\song ? ?
\stoptext
TagsNo tags attached.

Activities

Taco

2010-11-24 14:45

administrator   ~0000659

Committed revision 3967.

Issue History

Date Modified Username Field Change
2010-11-17 14:56 Taco New Issue
2010-11-17 14:56 Taco Status new => assigned
2010-11-17 14:56 Taco Assigned To => Taco
2010-11-24 14:45 Taco Note Added: 0000659
2010-11-24 14:45 Taco Status assigned => resolved
2010-11-24 14:45 Taco Resolution open => fixed
2010-12-13 14:43 Taco Fixed in Version => 0.65.0
2010-12-13 14:43 Taco Status resolved => closed